function y = rhs_bellman(c,s,parameters,a,fspace)

alpha  = parameters.alpha;
beta   = parameters.beta;
sigma  = parameters.sigma;
varphi = parameters.varphi;

k = s(:,1); 
z = s(:,2);

%%% optimal l conditional on c from static labor condition
l = ((1-alpha).*z.*(k.^alpha)./c).^(1/(varphi+alpha));


u  = utility(c,l,sigma,varphi);

Ev = expected_value(c,l,s,parameters,a,fspace);

y  = u+beta*Ev;

